package com.ruoyi.system.domain.staffTrainTime;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工培训时长对象 staff_train_time
 * 
 * @author boman
 * @date 2025-02-21
 */
public class StaffTrainTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 员工培训时长ID */
    private Long trainTimeId;

    /** 员工管理id */
    @Excel(name = "员工管理id")
    private Long staffId;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String staffName;

    /** 员工账号id */
    @Excel(name = "员工账号id")
    private Long userId;

    /** 员工培训手册ID */
    @Excel(name = "员工培训手册ID")
    private Long manualId;

    /** 阅读时长 */
    @Excel(name = "阅读时长")
    private int staffTime;

    public void setTrainTimeId(Long trainTimeId) 
    {
        this.trainTimeId = trainTimeId;
    }

    public Long getTrainTimeId() 
    {
        return trainTimeId;
    }
    public void setStaffId(Long staffId) 
    {
        this.staffId = staffId;
    }

    public Long getStaffId() 
    {
        return staffId;
    }
    public void setStaffName(String staffName) 
    {
        this.staffName = staffName;
    }

    public String getStaffName() 
    {
        return staffName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setManualId(Long manualId) 
    {
        this.manualId = manualId;
    }

    public Long getManualId() 
    {
        return manualId;
    }

    public int getStaffTime() {
        return staffTime;
    }

    public void setStaffTime(int staffTime) {
        this.staffTime = staffTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("trainTimeId", getTrainTimeId())
            .append("staffId", getStaffId())
            .append("staffName", getStaffName())
            .append("userId", getUserId())
            .append("manualId", getManualId())
            .append("staffTime", getStaffTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
